CLOUD-BRIDGE_OCB-AGENT-SVC_AGENT_GET(1)

NAME
cloud-bridge_ocb-agent-svc_agent_get -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Gets an Agent by identifier.

USAGE

oci cloud-bridge ocb-agent-svc agent get [OPTIONS]

REQUIRED PARAMETERS

--agent-id [text]

    Unique Agent identifier path parameter.

OPTIONAL PARAMETERS

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/ocb-agent-svc/environment/create.html#cmdoption-compartment-id
    export agent_type=<substitute-value-of-agent_type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/ocb-agent-svc/agent/create.html#cmdoption-agent-type
    export agent_version=<substitute-value-of-agent_version> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/ocb-agent-svc/agent/create.html#cmdoption-agent-version
    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/ocb-agent-svc/agent/create.html#cmdoption-display-name
    export os_version=<substitute-value-of-os_version> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/ocb-agent-svc/agent/create.html#cmdoption-os-version
    environment_id=$(oci cloud-bridge ocb-agent-svc environment create --compartment-id $compartment_id --query data.id --raw-output)
    agent_id=$(oci cloud-bridge ocb-agent-svc agent create --agent-type $agent_type --agent-version $agent_version --compartment-id $compartment_id --display-name $display_name --environment-id $environment_id --os-version $os_version --query data.id --raw-output)
    oci cloud-bridge ocb-agent-svc agent get --agent-id $agent_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle